
/*
绘制二级目录列表
*/
//获取手机屏幕大小信息
const screenWidth  = window.innerWidth
const screenHeight = window.innerHeight


//绘制子目录列表
export default class SLD {
  drawSLD(context, status, index, text) {
    //未被选中时
    if (status == false) {
      //圆填充颜色与背景色相同
      context.fillStyle = '#ddd'
      context.beginPath()
      context.arc(20, index * 40 + 20, 18, 0, 360, false)
      context.fillStyle = '#f8f8f8'
      context.fill()
      context.strokeStyle = '#ddd'
      context.stroke()
      context.closePath()
      //绘制文字，选中和未选中状态下文字颜色不一样
      context.fillStyle = '#ddd'
      context.font = "1px Arial"
      //文字总是保持居中，只考虑了2个和3个字
      if (text.length == 3) {
        context.fillText(text, 2, index * 40 + 25)
      }
      if (text.length == 2) {
        context.fillText(text, 8, index * 40 + 25)
      }
    }
    else {//当被选中时，突出显示
      context.fillStyle = '#ddd'
      context.beginPath()
      context.arc(20, index * 40 + 20, 18, 0, 360, false)
      context.fillStyle = '#ff5541'
      context.fill()
      context.closePath()
      //绘制文字，选中和未选中状态下文字颜色不一样
      context.fillStyle = '#fff'
      context.font = "1px Arial"
      //文字总是保持居中，只考虑了2个和3个字
      if (text.length == 3) {
        context.fillText(text, 2, index * 40 + 25)
      }
      if (text.length == 2) {
        context.fillText(text, 8, index * 40 + 25)
      }
    }
  }
}
